LibreOffice LibreOffice 25.8 SDK API Reference

Included Services | List of all members
Reports Service Reference

describes a container which provides access to database reports. More...

`import"Reports.idl";`

Inheritance diagram for Reports:

## Included Services
service | DocumentContainer
Included Services inherited from DocumentContainer
service | DefinitionContainer
service | DefinitionContent
| provides functionality for treating the container as part of a hierarchy of a database document's sub documents. More...
Included Services inherited from DefinitionContent
service | ::com::sun::star::ucb::Content
| provides the functionality for treating the object as part of a hierarchy of objects. More...

## Additional Inherited Members
Exported Interfaces inherited from DocumentContainer
interface | com::sun::star::frame::XComponentLoader
| can be used to load the document inside. More...
interface | com::sun::star::lang::XMultiServiceFactory
| can be used to create container elements. More...
interface | com::sun::star::container::XHierarchicalNameContainer
| can be used to create folder hierarchies and to organize forms or reports in different sub folders. More...
Exported Interfaces inherited from DefinitionContainer
interface | com::sun::star::container::XNameAccess
interface | com::sun::star::container::XNameContainer
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XEnumerationAccess
interface | com::sun::star::util::XRefreshable
| is used to refresh the container, to reflect changes in the underlying database. More...
interface | com::sun::star::lang::XSingleServiceFactory
| can be used to create container elements. More...
Exported Interfaces inherited from DefinitionContent
interface | ::com::sun::star::container::XHierarchicalName
| provides access to the complete name of the content within its hierarchy More...
Exported Interfaces inherited from Content
interface | com::sun::star::ucb::XContent
| provides access to the identity and the type of the content and allows the registration of listeners for ContentEvents. More...
interface | com::sun::star::lang::XComponent
| must be implemented to make it possible to resolve cyclic object references. More...
interface | com::sun::star::ucb::XCommandProcessor
| enables the caller to let the content execute commands. More...
interface | com::sun::star::ucb::XCommandProcessor2
| is an enhanced version of XCommandProcessor that has an additional method for releasing command identifiers obtained via XCommandProcessor::createCommandIdentifier() to avoid resource leaks. More...
interface | com::sun::star::beans::XPropertiesChangeNotifier
| notifies changes of property values to listeners registered for those properties. More...
interface | com::sun::star::beans::XPropertyContainer
| can be used to add new properties to the content and to remove properties from the content dynamically. More...
interface | com::sun::star::beans::XPropertySetInfoChangeNotifier
| can be used to notify properties removed from or added to the content's property set. More...
interface | com::sun::star::ucb::XCommandInfoChangeNotifier
| can be used to notify commands removed from or added to the content's command set. More...
interface | com::sun::star::ucb::XContentCreator
| creates new contents (i.e. More...
interface | com::sun::star::container::XChild
| provides access to the parent content of this content. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name. More...
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name. More...
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XContent
com::sun::star::ucb::XContentIdentifier | getIdentifier ()
| returns the identifier of the content. More...
string | getContentType ()
| returns a type string, which is unique for that type of content (e.g. More...
void | addContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| adds a listener for content events. More...
void | removeContentEventListener ([in] com::sun::star::ucb::XContentEventListener Listener)
| removes a listener for content events. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XCommandProcessor
long | createCommandIdentifier ()
| creates a unique identifier for a command. More...
any | execute ([in] Command aCommand, [in] long CommandId, [in] XCommandEnvironment Environment) raises ( com::sun::star::uno::Exception, CommandAbortedException )
| executes a command. More...
void | abort ([in] long CommandId)
| ends the command associated with the given id. More...
Public Member Functions inherited from XPropertiesChangeNotifier
void | addPropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| adds an XPropertiesChangeListener to the specified properties with the specified names. More...
void | removePropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| removes an XPropertiesChangeListener from the listener list. More...
Public Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Public Member Functions inherited from XHierarchicalName
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name More...
Public Member Functions inherited from XComponentLoader
com::sun::star::lang::XComponent | loadComponentFromURL ([in] string URL, [in] string TargetFrameName, [in] long SearchFlags, [in] sequence< com::sun::star::beans::PropertyValue > Arguments) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| loads a component specified by a URL into the specified new or existing frame. More...
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XHierarchicalNameContainer
void | insertByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the element at the specified name. More...
void | removeByHierarchicalName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameReplace
void | replaceByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...
Protected Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Protected Member Functions inherited from XCommandProcessor2
void | releaseCommandIdentifier ([in] long CommandId)
| releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used. More...
Protected Member Functions inherited from XPropertiesChangeNotifier
void | addPropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| adds an XPropertiesChangeListener to the specified properties with the specified names. More...
void | removePropertiesChangeListener ([in] sequence< string > PropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener Listener)
| removes an XPropertiesChangeListener from the listener list. More...
Protected Member Functions inherited from XPropertyContainer
void | addProperty ([in] string Name, [in] short Attributes, [in] any DefaultValue) raises ( com::sun::star::beans::PropertyExistException, com::sun::star::beans::IllegalTypeException, com::sun::star::lang::IllegalArgumentException )
| adds a property to the object. More...
void | removeProperty ([in] string Name) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::NotRemoveableException )
| removes a property from the object. More...
Protected Member Functions inherited from XPropertySetInfoChangeNotifier
void | addPropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| registers a listener for PropertySetInfoChangeEvents. More...
void | removePropertySetInfoChangeListener ([in] XPropertySetInfoChangeListener Listener)
| removes a listener for PropertySetInfoChangeEvents. More...
Protected Member Functions inherited from XCommandInfoChangeNotifier
void | addCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| registers a listener for CommandInfoChangeEvents. More...
void | removeCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| removes a listener for CommandInfoChangeEvents. More...
Protected Member Functions inherited from XContentCreator
sequence< com::sun::star::ucb::ContentInfo > | queryCreatableContentsInfo ()
| returns a list with information about the creatable contents. More...
com::sun::star::ucb::XContent | createNewContent ([in] com::sun::star::ucb::ContentInfo Info)
| creates a new content of given type. More...
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...

## Detailed Description

describes a container which provides access to database reports.

See also
  com::sun::star::sdb::DocumentDefinition

## Exported Interfaces

## ◆ DocumentContainer

service DocumentContainer

The documentation for this service was generated from the following file:

- com/sun/star/sdb/Reports.idl